Join FlipAndroid.COM Telegram Group: https://t.me/joinchat/F_aqThGkhwcLzmI49vKAiw


Tag: android gradle

Android Studio 1.0RC4 Error de generación de Gradle

Acabo de descargar Android Studio 1.0RC4 y no puedo construir ningún proyecto, ni siquiera los nuevos. El error que tengo es: Error: No se pudo ejecutar la acción de compilación usando la distribución de Gradle ' https://services.gradle.org/distributions/gradle-2.2.1-all.zip '. He podido descargar el zip desde el navegador pero no funciona en AS. Este es mi archivo […]

Error: No se puede configurar la extensión 'publicar' después de que se ha accedido

Error: No se puede configurar la extensión 'publicar' después de que se ha accedido. Estoy recibiendo este error después de actualizar mi estudio de Android. Esta es mi aplicación apply plugin: 'com.android.application' android { compileSdkVersion 23 buildToolsVersion '23.0.2' defaultConfig { minSdkVersion 14 targetSdkVersion 23 versionCode 1 versionName "1.0" vectorDrawables.useSupportLibrary = true generatedDensities = [] } […]

Importar Facebook SDK en Android Studio 0.5.1

He estado buscando durante un tiempo y he intentado todas las respuestas que pude encontrar sin éxito. Estoy empezando a creer que el problema está en la versión androide del estudio. Sin embargo aquí es lo que he hecho: 1 – He descargado el sdk de facebook 2 – Copiado el sdk en mi carpeta […]

Error: No se pueden cambiar las dependencias de configuración ': app: _debugAnnotationProcessor' una vez que se ha resuelto

No se pudo actualizar el proyecto Gradle Después de agregar KenBurnsView Library a build.gradle en el nivel de la aplicación. Cuando intento sincronizar el gradle falló. Build.gradle (nivel de la aplicación) apply plugin: 'com.android.application' android { compileSdkVersion 25 buildToolsVersion "25.0.0" defaultConfig { applicationId "com.sample.ac" minSdkVersion 16 targetSdkVersion 24 versionCode 1 versionName "1.0_dev" testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner" jackOptions […]

Anotaciones de Android y applicationIdSuffix

Había estado probando las anotaciones de Android recientemente y todo había estado funcionando bien hasta que decidí añadir applicationIdSuffix en buildTypes en mi archivo build.gradle . Actualmente se ve así: buildTypes { debug { applicationIdSuffix '.debug' } … } Y al compilar, obtengo el siguiente registro en la consola gradle: : App: preDebugBuild UP-TO-DATE : […]

¿Cómo conoce Android Studio sobre las nuevas versiones de dependencia?

Android Studio parece saber cuándo hay una versión más reciente de una dependencia. Los repositorios de Maven tienen todas las versiones así que por supuesto puede comprobar allí pero no lo hace para todas las dependencias. Observó que funciona para com.google y com.android dependencias pero no para otros. ¿Porqué es eso? ¿Puede ser configurado? Cualquier […]

Cómo excluir el módulo de todas las dependencias, pero dejar la declaración explícita Gradle

Estoy tratando de resolver el problema, Tengo algunas dependencias declaradas en el archivo build.gradle para mi aplicación android, pero el problema es que muchas de estas dependencias utilizan la misma biblioteca compat, en mi caso appcompat-v7 . Es posible excluir esta biblioteca para cada dependencia compile ('com.github……'){ exclude group: 'com.android.support', module: 'appcompat-v7' } Pero tengo […]

Android Instant Ejecutar compilaciones lentas

Sigo escuchando la ejecución instantánea discutida como si estuviera en una gran forma, sin embargo mi equipo y yo regularmente experimentan problemas significativos con la característica, y una experiencia de codificación degradada debido a ella. Antes de ejecutar instantáneamente, nuestras compilaciones limpias eran ~ 1min 30sec, y después de eso nos gustaría obtener compilaciones que […]

Appcompat v7 no se introduce en el proyecto

He heredado un proyecto que utiliza appcompat-v7: 20.0.0 No soy capaz de construir el proyecto, porque parece que gradle no incluye la biblioteca appcompat mientras sincroniza / construye. Mis dependencias en el build.gradle: dependencies { compile fileTree(dir: 'libs', include: ['*.jar']) compile 'com.android.support:appcompat-v7:20.0.0' compile 'com.nineoldandroids:library:2.4.0' compile 'com.google.android.gms:play-services:+' } También no hay servicios de juego son arrastrados […]

Paquete Android AAR para la biblioteca nativa

Estoy buscando una forma de empaquetar una biblioteca nativa en un paquete AAR, por lo que sería posible utilizarlo a través de declaraciones de dependencias en gradle script. Por biblioteca nativa me refiero a conjunto de archivos .cpp o biblioteca estática compilada y un conjunto de archivos de encabezado. Por lo tanto, quiero decir que […]

FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.